# Assassin's Creed: The Ezio Collection - Assassin's Creed 2 1.3
# BID: 824B38A25986B2AB
# Scenes exclusively 2D are tied to framerate, so at 60 FPS they are 2x faster. 

DECLARATIONS:
  -
    type: variable
    name: dr_scale
    value_type: float
    default_value: 1
    evaluate: "FPS_TARGET / 30"

MASTER_WRITE:
# Patch code to multiply last frametime by float scale factor
# To match it to Dynamic Resolution calculations
  -
    type: asm_a64
    main_offset: 0xB40638
    instructions: [
      [adrp, x9, $dr_scale],
      [ldr, s0, [x9, $dr_scale]],
      [fmul, s9, s8, s0],
      [nop]
    ]
